EDIT - task #7479

consider a cleaner implementation of adaptive reference field visibility
06/15/2018 03:35 PM - Andreas Kohlbecker

Status: New Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Unassigned CDM tickets

Severity: normal

Description

in turn of implementing #7223 the ReferencePropertyDefinitionshave been created which has the potential to help implementing a

clean field visibility control for the taxeditor.
The code to adapt the field visibilioty in the vaadin reference editor may be useful as a inspiration for the taxeditor:

try {
Map<String, String> fieldPropertyDefinition = ReferencePropertyDefinitions.
fieldPropertyDefinition (value);
setAllFieldsVisible (false);
for (String fieldName : fieldPropertyDefinition.keySet ()) {
Field<?> field = getField(fieldName);
if (field == null) {
continue;
}
field.setVisible (true);
String propertyName = fieldPropertyDefinition.get (fieldName) ;
if (propertyName != fieldName) {
field.setCaption (propertyNameLabelMap.get (propertyName)) ;

}

} catch (UnimplemetedCaseException e) {
logger.error(e);
// enable all fields
setAllFieldsVisible (true);
// fix inReference label

getField("inReference") .setCaption (propertyNamelLabelMap.get ("inReference"));

}

Related issues:
Related to EDIT - bug #7223: ReferenceEditor: disable fields depending on the... Closed

History

#1 - 06/15/2018 03:36 PM - Andreas Kohlbecker
- Related to bug #7223: ReferenceEditor: disable fields depending on the Reference type added

#2 - 04/21/2020 12:21 PM - Andreas Miller

- Assignee changed from Patrick Plitzner to Katja Luther
